LinuxQuestions.org
Help answer threads with 0 replies.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 07-06-2017, 12:44 PM   #1
kjhambrick
Senior Member
 
Registered: Jul 2005
Location: Round Rock, TX
Distribution: Slackware64 15.0 + Multilib
Posts: 2,159

Rep: Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512
HOWTO: Slackware64 + Multilib and glibc update for Thu Jul 6 00:57:41 UTC 2017


All --

Thanks to input from Alien Bob 'the last time', I was able to build glibc-2.23_multilib from the Official Slackware64 Source and Alien Bob's glibc multilib source Directory.

What I did is this:
Code:
# Make a working directory:

mkdir /tmp/glibc-work

# copy the patched Slackware64 source from my local repo into the working directory

cd /home/dld/slackware/slackware64-14.2/patches/source/glibc    # my local Slack repo
cp -av * /tmp/glibc-work/

# overlay Alien Bob's glibc source into the working directory

cd /home/dld/multilib/source/14.2/glibc                         # my local multilib source
cp -av * /tmp/glibc-work/

# get into the working directory

cd  /tmp/glibc-work/

# prepare to patch the glibc-multilib.SlackBuild ( bump BUILD= and add a patch )

# back up Alien Bob's glibc-multilib.SlackBuild

cp -p glibc-multilib.SlackBuild glibc-multilib.SlackBuild-BUILD-2alien

# patch glibc-multilib.SlackBuild ( the patch file is below my signature )

patch glibc-multilib.SlackBuild glibc-multilib.SlackBuild-BUILD-2-to-3.patch

# execute the glibc-multilib.SlackBuild via a logger-wrapper script

./do.glibc-multilib.SlackBuild                                  # the script is below

# check results and timing

# head -1 glibc-multilib.SlackBuild-Tag-3alien.log && tail -1 glibc-multilib.SlackBuild-Tag-3alien.log
glibc-multilib.SlackBuild startup  at Thu Jul  6 10:12:33 CDT 2017
glibc-multilib.SlackBuild complete at Thu Jul  6 10:26:42 CDT 2017 ... RetCode=0
These are the Packages:
Code:
-rw-r--r-- 1 root root 12837212 Jul  6 10:26 glibc-2.23_multilib-x86_64-3alien.txz
-rw-r--r-- 1 root root  6484968 Jul  6 10:25 glibc-debug-2.23_multilib-x86_64-3alien.txz
-rw-r--r-- 1 root root 11138088 Jul  6 10:26 glibc-i18n-2.23_multilib-x86_64-3alien.txz
-rw-r--r-- 1 root root  2342204 Jul  6 10:25 glibc-profile-2.23_multilib-x86_64-3alien.txz
-rw-r--r-- 1 root root  4140112 Jul  6 10:26 glibc-solibs-2.23_multilib-x86_64-3alien.txz
Seems to run fine and I am able to build 32-bit programs on my Slackware64 14.2 Box as expected.

HTH.

-- kjh

This is the patch file I applied to bump BUILD= and add the new glibc.6a824767.dont.assert.on.older.intel.cpus.diff.gz.

Copy the patch file into the working directory ( example: /tmp/glibc-work/ )

# cat glibc-multilib.SlackBuild-BUILD-2-to-3.patch

Code:
--- glibc-multilib.SlackBuild-BUILD-2alien      2017-07-01 09:21:08.000000000 -0500
+++ glibc-multilib.SlackBuild   2017-07-06 09:19:30.579369927 -0500
@@ -30,7 +30,7 @@
 
 VERSION=${VERSION:-2.23}
 CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-2alien}
+BUILD=${BUILD:-3alien}
 
 # I was considering disabling NSCD, but MoZes talked me out of it.  :)
 #DISABLE_NSCD=" --disable-nscd "
@@ -175,6 +175,11 @@
   zcat $CWD/glibc.CVE-2017-1000366.3c7cd212.diff.gz | patch -p1 --verbose || exit 1
   zcat $CWD/glibc.adc7e06f.diff.gz | patch -p1 --verbose || exit 1
   zcat $CWD/glibc.c69d4a0f.diff.gz | patch -p1 --verbose || exit 1
+  #
+  # Don't assert on older Intel CPUs.
+  # This fixes an ldconfig failure on Pentium MMX.
+  zcat $CWD/glibc.6a824767.dont.assert.on.older.intel.cpus.diff.gz | patch -p1 --verbose || exit 1
+  #
   if [ $BOOTSTRP -eq 1 ] ; then
     # Multilib - Disable check for forced unwind (Patch from eglibc) since we
     # do not have a multilib glibc yet to link to;
And this is the SlackBuild wrapper-logger script. Copy this one into the working directory as well ( example: /tmp/glibc-work/ )

# cat do.glibc-multilib.SlackBuild
Code:
#!/bin/sh

DoName="glibc-multilib.SlackBuild"

export BUILD="3alien"             # editme !!!
#
# glibc-multilib.SlackBuild creates TMP in / by default.  
#
# I've got plenty of disk space in /tmp/ so I override TMP here  
# because I am not at all fond of writing ANYTHING directly into /
#
# !!! YMMV !!!
#
export TMP=/tmp/glibc-tmp-$(mcookie)   # kjh is not fond of writing into /

LogNam="$DoName-Tag-$BUILD.log"

echo "$DoName startup  at `date`"                         |tee    $LogNam
echo ""                                                   |tee -a $LogNam
echo "echo building glibc in $TMP"                        |tee -a $LogNam

echo ""                                                   |tee -a $LogNam
./$DoName 2>&1                                            |tee -a $LogNam
RetCode=${PIPESTATUS[0]}

if [ "$RetCode" != "0" ]
then

   echo ""                                                |tee -a $LogNam
   echo "SlackBuild FAILED !  RetCode=$RetCode"           |tee -a $LogNam
   echo "$DoName FAILED   at `date` ... RetCode=$RetCode" |tee -a $LogNam
   exit $RetCode

fi

[ ! -d "../pkg" ] && mkdir -p ../pkg

echo ""                                                   |tee -a $LogNam
mv -v $TMP/glibc-*.txz ../pkg/ 2>&1                       |tee -a $LogNam

echo ""                                                   |tee -a $LogNam
echo "$DoName complete at `date` ... RetCode=$RetCode"    |tee -a $LogNam
exit 0

Last edited by kjhambrick; 07-07-2017 at 07:04 AM. Reason: Change Title to HOWTO: ...
 
Old 07-07-2017, 07:01 AM   #2
kjhambrick
Senior Member
 
Registered: Jul 2005
Location: Round Rock, TX
Distribution: Slackware64 15.0 + Multilib
Posts: 2,159

Original Poster
Rep: Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512
All --

Posting a followup to get this one off the Zero-Reply List ...

-- kjh
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Slackware64 + Multilib and glibc update for Fri Jun 30 21:14:15 UTC 2017 kjhambrick Slackware 4 07-02-2017 07:22 AM
strange message on slackware64-current after update to Thu May 4 22:14:08 UTC 2017 USUARIONUEVO Slackware 2 05-05-2017 04:23 AM
Strange SSA e-mail for libidn (Thu Jul 28 18:17:17 UTC 2016) atelszewski Slackware 6 07-29-2016 03:24 PM
Dual boot OS X and Slackware64-current (Thu Jun 27 23:56:34 UTC 2013) with elilo? janucaria Slackware 2 07-03-2013 07:56 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:15 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration